package intrinsic.mx.core;

public class RSLItem extends Object {

	/** Accessors */

	/** Variables */
	public int total;
	public intrinsic.flash.net.URLRequest urlRequest;
	public int loaded;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public RSLItem() {
}

public RSLItem(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void itemCompleteHandler(intrinsic.flash.events.Event arg0);
public native void load(intrinsic.Function arg0, intrinsic.Function arg1, intrinsic.Function arg2, intrinsic.Function arg3, intrinsic.Function arg4);
public native void itemErrorHandler(intrinsic.flash.events.ErrorEvent arg0);
public native void itemProgressHandler(intrinsic.flash.events.ProgressEvent arg0);

}
